Subject: Re: bug#50773: ungoogled-chromium fails to use webcam

From: Efraim Flashner <[email-masked]>
Date: Fri, 24 Sep 2021 11:58:24 +0300

On Fri, Sep 24, 2021 at 10:53:56AM +0200, Ludovic Courtès wrote:
> Hello!
> 
> As of commit c582be4c38596a6a31a39c6799723dcd8b6eb909 (Sept. 23),
> ungoogled-chromium fails to grab images from my webcam (for instance in
> BigBlueButton instances), printing this message repeatedly:
> 
>   [4685:3:0924/102919.814053:ERROR:video_stream_encoder.cc(1762)] Failed to encode frame. Error code: -7
> 
> I found that an older generation (Aug. 30) works for me:
> 
>   guix time-machine --commit=f91ae9425bb385b60396a544afe27933896b8fa3 -- \
>     environment --ad-hoc ungoogled-chromium -- chromium
> 
> The regression must have been in between these two commits.
> 
> Thoughts?
> 
> Ludo’.
> 

I'm fighting ungoogled chromium for something unrelated, but I noticed I
needed to add thirdparty/libusb to %preserved-third-party-files to get
it to build headless for me. Perhaps it tries to reach out directly to
the webcam through usb itself?

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted